Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## SEdit.Scheme
Class SchemeModule

    java.lang.Object
      SEdit.Scheme.SchemeModule

    public class SchemeModule

extends java.lang.Object

Field Summary
`static int` | `envcount`
`protected Environment` | `environment`
`static Scheme` | `interpreter`
`java.lang.String` | `madkitDirectory`

Constructor Summary
`SchemeModule(Structure str)`

Method Summary
`java.lang.Object` | `eval(java.lang.Object sexpr)`
`void` | `evalString(java.lang.String s)`
`Environment` | `getEnvironment()`
`void` | `init()`
`java.lang.Object` | `readExpr(InPort in)`
`static void` | `runOutString(java.lang.String str, Scheme interp, Environment env, OutPort out)`
`void` | `setAsCurrentEnv()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### madkitDirectory

    public java.lang.String madkitDirectory

### environment

    protected Environment environment

### interpreter

    public static Scheme interpreter

### envcount

    public static int envcount

Constructor Detail

### SchemeModule

    public SchemeModule(Structure str)

Method Detail

### setAsCurrentEnv

    public void setAsCurrentEnv()

### readExpr

    public java.lang.Object readExpr(InPort in)
                              throws java.io.IOException,
                                     gnu.text.SyntaxException

  Throws:
    `java.io.IOException`
    `gnu.text.SyntaxException`

### eval

    public java.lang.Object eval(java.lang.Object sexpr)

### evalString

    public void evalString(java.lang.String s)

### runOutString

    public static void runOutString(java.lang.String str,
                                    Scheme interp,
                                    Environment env,
                                    OutPort out)

### getEnvironment

    public Environment getEnvironment()

### init

    public void init()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Madkit Team (O. Gutknecht, J. Ferber, F. Michel et al.) All Rights Reserved.